use strict;
use warnings;
use Module::Build;

Module::Build->new(
    dist_name => "blockfuse",
    dist_author => "Heiko Schlittermann <hs\@schlittermann.de>",
    dist_version_from => "bin/blockfuse",
    dist_abstract => "map a block device into a ordinary file",
    license => "GPL_3",
    create_license => 1,
    script_files => [glob "bin/*"],
    requires => {
	perl => "5.10.0",
	autodie => "0",
	Fuse => "0",
	"IPC::System::Simple" => "0",
	"Pod::Usage" => "0",
    },
    build_requires => {
	"Test::More"  => "0.92",
	"Digest::MD5" => "0",
    },
)->create_build_script();
